<template>
  <v-dialog v-model="dialog" width="330" persistent>
    <v-card>
      <v-card-title class=" text-center">
        {{ title }}
      </v-card-title>
      <v-card-text v-if="status == 'reject' || status == 'rejectEdit' || status == 'rejectAll'">
        <v-textarea
          class="mx-2"
          label="เหตุผล"
          rows="1"
          v-model="remarkLocal"
          prepend-icon="mdi-comment"
        ></v-textarea>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <slot name="confirm"></slot>
        <slot name="close"></slot>
        <v-spacer></v-spacer>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  props: ["dialog", "title", "status", "remark"],
  // data() {
  //   return {
  //     remark: "",
  //   };
  // },
  model: {
    prop: "remark",
    event: "remarkChange",
  },
  computed: {
    remarkLocal: {
      get: function () {
        return this.remark;
      },
      set: function (value) {
        this.$emit("remarkChange", value);
      },
    },
  },
};
</script>

<style>
</style>